import axios from '../axios'
export const getlist = (data) => {
    return axios({
        url: '/examine/listExamining',
        method: 'post',
        data
    })
}
export const shenhe = (data) => {
    return axios({
        url: '/examine/update',
        method: 'post',
        data
    })
}
//流程
export const selectflowlist = (data) => {
    return axios({
        url: '/folw/selectflowlist',
        method: 'post',
        data
    })
}
export const selectRoleName = (data) => {
    return axios({
        url: 'role/selectRoleName',
        method: 'post',
        data
    })
}
export const insertFolwCourse = (params) => {
    return axios({
        url: 'folw/insertFolwCourse',
        method: 'get',
        params
    })
}


export const selectRoleinfo = (params) => {
    return axios({
        url: '/role/selectRoleinfo',
        method: 'get',
        params
    })
}
export const selectRoleremark = (params) => {
  return axios({
      url: '/role/selectRoleremark2',
      method: 'get',
      params
  })
}
export const progress = (params) => {
    return axios({
        url: '/examine/progressView',
        method: 'get',
        params
    })
}
//审核记录
export const record = (data) => {
    return axios({
        url: '/examine/listExamed',
        method: 'post',
        data
    })
}
//登记导出
export const seledjdc = (params) => {
    return axios({
        url: '/baseInfo/getBaseInfo',
        method: 'get',
        params
    })
}
//导出
export const dccc = (params) => {
    return axios({
        url: '/exportExcel/insuredRegistration',
        method: 'get',
        params
    })
}
//新闻
export const newsList = (params) => {
    return axios({
        url: '/news/list',
        method: 'get',
        params
    })
}
//社保查询
export const shebao = (params) => {
    return axios({
        url: '/search/authentication.do',
        method: 'get',
        params
    })
}
//信息变更导出
export const selexxbgdc = (data) => {
  return axios({
    url: '/baseInfo/getUpdateBase',
    method: 'post',
    data
  })
}
//银行卡变更导出
export const seleyhkbgdc = (data) => {
  return axios({
    url: '/baseInfo/getUpdateBank',
    method: 'post',
    data
  })
}
//档次变更导出
export const seledcbgdc = (data) => {
  return axios({
    url: '/baseInfo/getUpdateGrade',
    method: 'post',
    data
  })
}
//待遇申请导出
export const seledysqdc = (data) => {
  return axios({
    url: '/baseInfo/getTreatmentApplication',
    method: 'post',
    data
  })
}
//覆盖人员查询
export const listAllBaseInfo = (data) => {
  return axios({
    url: '/baseInfo/getAllBaseInfo',
    method: 'post',
    data
  })
}
  //
export const selectflowState = (params) => {
  return axios({
    url: '/folw/selectflowState',
    method: 'get',
    params
  })
}
//缴费信息查询
export const listPayInfo = (data) => {
  return axios({
    url: '/payInfo/getPayInfo',
    method: 'post',
    data
  })
}
//领取人员查询
export const getGrantList = (data) => {
  return axios({
    url: '/grantInfo/getGrantList',
    method: 'post',
    data
  })
}
//流程详情
export const selectRoleflowNo = (params) => {
  return axios({
    url: 'role/selectRoleflowNo',
    method: 'get',
    params
  })
}
export const updatePassword = (data)=>{
  return axios({
    url: 'user/updatePassword',
    method: 'post',
    data
  })
}
export const getTown = () => {
  return axios({
    url: '/dept/findTreeByUser',
    method: 'get',

  })
}
//交互中心信息查询
export const getInteracts = (params) => {
  return axios({
    url: '/news/listinteract',
    method: 'get',
    params
  })
}

//上传文件
export const saveFile = (data)=>{
  return axios({
    url: 'news/add',
    method: 'post',
    data
  })
}
//更新文件状态
export const updateFileState = (id,state)=>{
  return axios({
    url: 'news/update/' + id + '/' + state,
    method: 'post'
  })
}
//新闻预览
export const newsPreView = (id)=>{
  return axios({
      url: 'news/view/'+id,
      method: 'get'
    })
}
//
//参保注销导出
export const selecbzxdc = (data) => {
  return axios({
    url: '/baseInfo/getInsuranceCancel',
    method: 'post',
    data
  })
};
//补缴保费导出
export const selebjbfdc = (data) => {
  return axios({
    url: '/baseInfo/getSupPayment',
    method: 'post',
    data
  })
};
//柱状图数据查询
export const selectchartInfo = (params) => {
  return axios({
    url: 'chart/selectchartInfo',
    method: 'get',
    params
  })
};
